$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.123.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.123.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '1F349B76EB026DC5860CE72B4E7FF563ECAF14BEB64F3C7D60551A4C2EB134B2'
  checksumType = 'sha256'
  checksum64 = '1F349B76EB026DC5860CE72B4E7FF563ECAF14BEB64F3C7D60551A4C2EB134B2'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.123-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
